Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Interface ServerInvocationHandler

All Known Subinterfaces:
  StreamInvocationHandler

All Known Implementing Classes:
  CallbackServer.SampleInvocationHandler, CallbackServer.SampleInvocationHandler, ChatManager, ChatServer_Impl, FactoryConfigSample.SampleInvocationHandler, MarshallerLoaderHandler, MultiplexInvokerServer.SampleInvocationHandler, OnewayServer.SampleInvocationHandler, SerializationServer.SampleInvocationHandler, SimpleDetectorServer.SampleInvocationHandler, SimpleDetectorServer.SampleInvocationHandler, SimpleServer.SampleInvocationHandler, StreamingServer.TestStreamInvocationHandler, StreamServer.Handler, TransporterHandler, WebInvocationHandler

    public interface ServerInvocationHandler

ServerInvocationHandler is the server side (remote) end handler which is registered for a given ServerInvoker implementation. The ServerInvocationHandler does the actual implementation work of invoking the method on the target object in the remote VM. The ServerInvoker will then handle marshalling and returning the results via the appropriate transport back to the client invoker.

Version:
  $Revision: 1977 $
Author:
  Jeff Haynie, Tom Elrod

Method Summary
`void` | `addListener(InvokerCallbackHandler callbackHandler)` Adds a callback handler that will listen for callbacks from the server invoker handler.
`java.lang.Object` | `invoke(InvocationRequest invocation)` called to handle a specific invocation.
`void` | `removeListener(InvokerCallbackHandler callbackHandler)` Removes the callback handler that was listening for callbacks from the server invoker handler.
`void` | `setInvoker(ServerInvoker invoker)` set the invoker that owns this handler
`void` | `setMBeanServer(javax.management.MBeanServer server)` set the mbean server that the handler can reference
`java.lang.String` | `toString()`

Method Detail

### setMBeanServer

    void setMBeanServer(javax.management.MBeanServer server)

  set the mbean server that the handler can reference

  Parameters:
    `server` -

### setInvoker

    void setInvoker(ServerInvoker invoker)

  set the invoker that owns this handler

  Parameters:
    `invoker` -

### invoke

    java.lang.Object invoke(InvocationRequest invocation)
                            throws java.lang.Throwable

  called to handle a specific invocation. Please take care to make sure implementations are thread safe and can, and often will, receive concurrent calls on this method.

  Parameters:
    `invocation` -
  Returns:
  Throws:
    `java.lang.Throwable`

### addListener

    void addListener(InvokerCallbackHandler callbackHandler)

  Adds a callback handler that will listen for callbacks from the server invoker handler.

  Parameters:
    `callbackHandler` -

### removeListener

    void removeListener(InvokerCallbackHandler callbackHandler)

  Removes the callback handler that was listening for callbacks from the server invoker handler.

  Parameters:
    `callbackHandler` -

### toString

    java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.